## crystalhd 0.0~git20110715.fdd2f19

=== examples/Makefile ===
CPP := g++
CPPFLAGS += -D__LINUX_USER__
LDFLAGS += -lcrystalhd -lpthread
INCLUDES += -I../include/ -I../linux_lib/libcrystalhd/

% : %.cpp
	$(CPP) $(INCLUDES) $(CPPFLAGS) $(LDFLAGS) -o $@ $<

all: hellobcm mpeg2test

clean:
	rm hellobcm mpeg2test

=== linux_lib/libcrystalhd/Makefile ===
#
#  Broadcom "BCM970012/BCM970015" Crystal HD device interface library.
#
#
BCLIB_MINOR=6
BCLIB_MAJOR=3
BCLIB_NAME=libcrystalhd.so
BCLIB_SL=$(BCLIB_NAME).$(BCLIB_MAJOR)
BCLIB=$(BCLIB_NAME).$(BCLIB_MAJOR).$(BCLIB_MINOR)
LIBDIR=/usr/lib

AT   = @
ECHO = ${AT} echo
BCGCC = g++

ROOTDIR = ../..

INCLUDES = -I./ -I/usr/include -I$(ROOTDIR)/include
INCLUDES += -I$(ROOTDIR)/include/link


CPPFLAGS = -D__LINUX_USER__
# -DLDIL_PRINTS_ON
# -D_USE_SHMEM_

CPPFLAGS += ${INCLUDES}
CPPFLAGS += -O2 -Wall -fPIC -shared -fstrict-aliasing -msse2
LDFLAGS = -Wl,-soname,${BCLIB_SL} -pthread

SRCFILES = 	libcrystalhd_if.cpp \
		libcrystalhd_int_if.cpp \
		libcrystalhd_fwcmds.cpp \
		libcrystalhd_priv.cpp \
		libcrystalhd_fwdiag_if.cpp \
		libcrystalhd_fwload_if.cpp \
		libcrystalhd_parser.cpp

OBJFILES = ${SRCFILES:.cpp=.o}

all:help $(OBJFILES)
	$(BCGCC) $(CPPFLAGS) $(LDFLAGS) -o $(BCLIB) ${OBJFILES}
	ln -sf $(BCLIB) $(BCLIB_NAME)
	ln -sf $(BCLIB) $(BCLIB_SL)

help:
	${ECHO} OBJFILES = ${OBJFILES}
	${ECHO} SRCFILES = ${SRCFILES}
	${ECHO} LNM = ${BCLIB} ${BCLIB_SL}

clean:
	rm -f  ${BCLIB} ${BCLIB_SL} ${BCLIB_NAME} *.o
	rm -f  ${OBJFILES}

install:
	mkdir -p $(DESTDIR)$(LIBDIR)
	mkdir -p $(DESTDIR)/lib/firmware
	mkdir -p $(DESTDIR)/usr/include/libcrystalhd
	cp libcrystalhd_if.h $(DESTDIR)/usr/include/libcrystalhd/
	chmod 0644 $(DESTDIR)/usr/include/libcrystalhd/libcrystalhd_if.h
	cp $(ROOTDIR)/include/bc_dts_defs.h $(DESTDIR)/usr/include/libcrystalhd/
	chmod 0644 $(DESTDIR)/usr/include/libcrystalhd/bc_dts_defs.h
	cp $(ROOTDIR)/include/bc_dts_types.h $(DESTDIR)/usr/include/libcrystalhd/
	chmod 0644 $(DESTDIR)/usr/include/libcrystalhd/bc_dts_types.h
	cp $(ROOTDIR)/include/libcrystalhd_version.h $(DESTDIR)/usr/include/libcrystalhd/
	chmod 0644 $(DESTDIR)/usr/include/libcrystalhd/libcrystalhd_version.h
	cp $(ROOTDIR)/firmware/fwbin/70012/bcm70012fw.bin $(DESTDIR)/lib/firmware/
	chmod 0644 $(DESTDIR)/lib/firmware/bcm70012fw.bin
	cp $(ROOTDIR)/firmware/fwbin/70015/bcm70015fw.bin $(DESTDIR)/lib/firmware/
	chmod 0644 $(DESTDIR)/lib/firmware/bcm70015fw.bin
	install -m 755 $(BCLIB) $(DESTDIR)$(LIBDIR)
	(cd $(DESTDIR)$(LIBDIR); ln -sf $(BCLIB) $(BCLIB_NAME))
	(cd $(DESTDIR)$(LIBDIR); ln -sf $(BCLIB) $(BCLIB_SL))

=== debian/changelog ===
crystalhd (1:0.0~git20110715.fdd2f19-9ubuntu1) raring; urgency=low

  * Apply patch from Guido Günther on Debian bug #702372 to port to GStreamer
    1.0. (LP: #1166816)

 -- Iain Lane <iain.lane@canonical.com>  Tue, 09 Apr 2013 15:49:28 +0100

crystalhd (1:0.0~git20110715.fdd2f19-9) unstable; urgency=high

  * New package upload with just fixes to remove dkms package.
  * Revert bump to Standards-Version 3.9.4.
  * Revert build with hardening options to satisfy Wheezy release goal.

 -- Andres Mejia <amejia@debian.org>  Sat, 02 Mar 2013 17:43:59 -0500

crystalhd (1:0.0~git20110715.fdd2f19-8) unstable; urgency=high

  * Remove dkms package which contained buggy driver.
    Driver already existed in mainline kernel. Any issues with the driver
    should be directed to the kernel package.
    (Closes: #682252)
    (Closes: #699470)
  * Bump to Standards-Version 3.9.4.
  * Build with hardening options to satisfy Wheezy release goal.

 -- Andres Mejia <amejia@debian.org>  Sat, 02 Mar 2013 13:34:36 -0500

crystalhd (1:0.0~git20110715.fdd2f19-7) unstable; urgency=low

  * Include udev rules for crystalhd-dkms.

 -- Andres Mejia <amejia@debian.org>  Mon, 30 Apr 2012 13:48:40 -0400

crystalhd (1:0.0~git20110715.fdd2f19-6) unstable; urgency=low

  * Make dev package multiarch installable.
  * Set Standards-Version to 3.9.3.

 -- Andres Mejia <amejia@debian.org>  Fri, 16 Mar 2012 17:02:49 -0400

crystalhd (1:0.0~git20110715.fdd2f19-5) unstable; urgency=low

  * Update location to source in crystalhd-get-orig-source script.
  * Make dpkg-source options permenant.
  * Add Suggests of firmware-crystalhd.
  * Add support for multiarch for libcrystalhd.

 -- Andres Mejia <amejia@debian.org>  Wed, 11 Jan 2012 00:27:57 -0500

crystalhd (1:0.0~git20110715.fdd2f19-4) unstable; urgency=low

  * Make crystalhd package build only on amd64 and i386.

 -- Andres Mejia <amejia@debian.org>  Sun, 17 Jul 2011 12:48:39 -0400

crystalhd (1:0.0~git20110715.fdd2f19-3) unstable; urgency=low

  * Make crystalhd package build only on linux machines.
  * Fix spelling errors.

 -- Andres Mejia <amejia@debian.org>  Sun, 17 Jul 2011 11:39:43 -0400

crystalhd (1:0.0~git20110715.fdd2f19-2) unstable; urgency=low

  * Fix build of crystalhd on non i386 and amd64 systems.

 -- Andres Mejia <amejia@debian.org>  Sun, 17 Jul 2011 11:08:11 -0400

crystalhd (1:0.0~git20110715.fdd2f19-1) unstable; urgency=low

  * Initial release. (Closes: #577130)

 -- Andres Mejia <amejia@debian.org>  Sat, 16 Jul 2011 10:31:27 -0400

=== debian/control ===
Source: crystalhd
Priority: optional
Maintainer: Andres Mejia <amejia@debian.org>
Build-Depends: debhelper (>= 8.1.3~),
               libgstreamer1.0-dev,
               libgstreamer-plugins-base1.0-dev
Standards-Version: 3.9.3
Section: libs
Homepage: http://www.broadcom.com/support/crystal_hd/
Vcs-Git: git://git.debian.org/git/collab-maint/crystalhd.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/crystalhd.git

Package: libcrystalhd-dev
Section: libdevel
Multi-Arch: same
Architecture: amd64 i386
Depends: libcrystalhd3 (= ${binary:Version}),
         ${shlibs:Depends}, ${misc:Depends}
Description: Crystal HD Video Decoder (development files)
 Crystal HD Solution is a product offered by Broadcom. It is used to enable
 flawless playback of 1080p high definition video across a wide range of
 systems.
 .
 This package contains the files necessary for development.

Package: libcrystalhd3
Architecture: amd64 i386
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: firmware-crystalhd
Description: Crystal HD Video Decoder (shared library)
 Crystal HD Solution is a product offered by Broadcom. It is used to enable
 flawless playback of 1080p high definition video across a wide range of
 systems.
 .
 This package contains the shared library.

Package: gstreamer1.0-crystalhd
Section: video
Architecture: amd64 i386
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Crystal HD Video Decoder (GStreamer plugin)
 Crystal HD Solution is a product offered by Broadcom. It is used to enable
 flawless playback of 1080p high definition video across a wide range of
 systems.
 .
 This package contains the crystalhd GStreamer plugin.

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

EXTRA_INCLUDES = -I$(CURDIR)/include \
	-I$(CURDIR)/linux_lib/libcrystalhd

EXTRA_LD_PATH = -L$(CURDIR)/linux_lib/libcrystalhd

%:
	dh $@

override_dh_auto_build:
	make -C linux_lib/libcrystalhd
	cd filters/gst/gst-plugin && \
		./configure --prefix=/usr CFLAGS="$(EXTRA_INCLUDES)" \
		LDFLAGS="$(EXTRA_LD_PATH)"
	make -C filters/gst/gst-plugin

override_dh_auto_install:
	make install -C linux_lib/libcrystalhd DESTDIR=$(CURDIR)/debian/tmp \
		LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)
	make install -C filters/gst/gst-plugin DESTDIR=$(CURDIR)/debian/tmp

override_dh_auto_clean:
	dh_clean
	make clean -C linux_lib/libcrystalhd
	[ ! -f filters/gst/gst-plugin/Makefile ] || \
		make clean distclean -C filters/gst/gst-plugin
